import axios from 'axios';
import router from '../router';
// 创建axios实例
const service = axios.create({
    // baseURL: "http://www.huorantech.cn:9000",//线上
    // baseURL: "http://124.71.12.62:9000",//线上
    baseURL: "http://39.108.250.202:9000/", // 中台测试服
    // baseURL: "http://192.168.31.137:9000/", // 赓
    // baseURL: "http://192.168.31.151:9000/", // 榕
    // baseURL: "http://192.168.31.125:9000/", // 坤
    // baseURL: 'http://39.108.250.202:9000',
    timeout: 30000 // 请求超时时间
})
// 添加request拦截器
service.interceptors.request.use(config => {
    return config
}, error => {
    Promise.reject(error)
})
// 添加respone拦截器
service.interceptors.response.use(
    response => {
        let res={};
        res.status=response.status
        res.data=response.data;
        return res;
    },
    error => {
        if(error.response && error.response.status == 404){
            router.push('/blank.vue')
        }
        return Promise.reject(error.response)
    }
)
let tokens
let token
var reg = new RegExp('(^|&)'+'token'+'=([^&]*)(&|$)')
if(window.location.href.split('?')[1]){
    var r = window.location.href.split('?')[1].match(reg)
    if (r != null){
        tokens = (r[2])
    }else{
        tokens = null
    }
}
if(tokens){
    token = tokens
}else{
    token = sessionStorage.getItem('token')
}
export function get(url, params = {}) {
    // params.t = new Date().getTime(); //get方法加一个时间参数,解决ie下可能缓存问题.
    return service({
        url: url,
        method: 'get',
        headers: {
            token:token
        },
        params
    })
}
//封装post请求
export function post(url, data = {}) {
    //默认配置
    let sendObject={
        url: url,
        method: 'post',
        headers: {
            'Content-Type':'application/json;charset=UTF-8',
            token:token
        },
        data:data
    };
    sendObject.data=JSON.stringify(data);
    return service(sendObject)
}
//封装put方法 (resfulAPI常用)
export function put(url,data = {}){
    return service({
        url: url,
        method: 'put',
        headers: {
            'Content-Type':'application/json;charset=UTF-8',
            token:token
        },
        data:JSON.stringify(data)
    })
}
//删除方法(resfulAPI常用)
export function deletes(url){
    return service({
        url: url,
        method: 'delete',
        headers: {
            token:token
        }
    })
}
//不要忘记export
export {
    service
}