const obj = {
    // 'consumerClient': '/counter/list/manage/consumerClient',
    // 'currentAccount/openAccount': '/counter/list/manage/currentAccount',
    // 'currentAccount/deposit': '/counter/list/manage/currentAccount'
    'consumerClient': '客户信息 -> 个人客户信息建立',
    'corporateClient': '客户信息 -> 公司客户信息建立',
    'currentAccount/openAccount': '活期业务 -> 开户',
    'currentAccount/deposit': '活期业务 -> 存款',
    'currentAccount/withdrawal': '活期业务 -> 取款',
    'currentAccount/transferAccounts': '活期业务 -> 转账',
    'currentAccount/settle': '活期业务 -> 结清',
    'currentAccount/Cancell': '活期业务 -> 销户',
    'timeDeposit/openAccount': '整存整取 -> 开户',
    'timeDeposit/deposit': '整存整取 -> 存款',
    'timeDeposit/withdrawal': '整存整取 -> 取款',
    'timeDeposit/deposit': '整存整取 -> 存款',
    'business/openAccount': '公司业务 -> 开户'
}

import { mapGetters } from 'vuex'

export default {
    data(){
        return {
            unNeed: false,
            isNeedBefore: false,
            needBefore: false,
            tipsNefore: null
        }
        
    },
    created() {

        if(this.inMyWork(this.moduleName)) {
            if(this.needsModule(this.moduleName)) {
                this.isNeedBefore = true
                this.needBefore = this.needsModule(this.moduleName)
                // 因为依赖前一个项目，所以要提示
                this.tipsNefore = setInterval(() => {
                    this.$message({
                        type: 'info',
                        message: '请先完成' + obj[this.needBefore] + '。',
                        center: true
                    });
                }, 3000)
                
            }
            
            // 这个业务是我们需要的，所以我们拿存的数据
            if(sessionStorage.getItem(this.moduleName)) {
                const getBeforeData = JSON.parse(sessionStorage.getItem(this.moduleName))
                for(const key in getBeforeData) {
                    this.form[key] = Number(getBeforeData[key])? Number(getBeforeData[key]): getBeforeData[key]
                }
            }
            
            

        }else {
            this.isNeedBefore = true
            this.unNeed = true
            return;
        }
        
    },
    methods: {
        // 暴露出外面的方法，可以提交后删存的数据
        clearSaveData() {
            sessionStorage.removeItem(this.moduleName)
        }
    },
    beforeDestroy() {
        // clearInterval(this.myTipBefore)
        // this.myTipBefore = null

        // 这个业务是我们需要的，所以我们存数据
        if(!this.unNeed) {
            let tmpForm = {}
            for(const key in this.form) {
                if(this.form[key] !== '') {
                    tmpForm[key] = this.form[key]
                }
            }
            sessionStorage.setItem(this.moduleName, JSON.stringify(tmpForm))
        }
        
        if(this.tipsNefore) {
            clearInterval(this.tipsNefore)
            this.tipsNefore = null
        }
        
    },
    computed: {
        ...mapGetters({
            needsModule: 'system/needsModule',
            inMyWork: 'system/inMyWork'
        })
    },
}

