import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'counter-';

export default {
    path: '/counter',
    name: 'counter',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/counter/list'),
            meta: { title: '综合柜台' },
            children:[
                {
                    name: `${pre}manager`,
                    path: `manage`,
                    component: () => import('@/pages/manage/index'),
                    meta: { title: '系统管理' },
                    children:[
                        // 客户信息
                        {
                            name: `${pre}consumerClient`,
                            path: `consumerClient`,
                            component: () => import('@/pages/manage/list/client/consumerClient.vue'),
                            meta: { title: '个人客户信息建立' },
                        },
                        {
                            name: `${pre}corporateClient`,
                            path: `corporateClient`,
                            component: () => import('@/pages/manage/list/client/corporateClient.vue'),
                            meta: { title: '公司客户信息建立' },
                        },
                        // 个人业务
                        {
                            name: `${pre}currentAccount`,
                            path: `currentAccount`,
                            component: () => import('@/pages/manage/list/personal/currentAccount/index.vue'),
                            meta: { title: '活期业务' },
                        },
                        {
                            name: `${pre}timeDeposit`,
                            path: `timeDeposit`,
                            component: () => import('@/pages/manage/list/personal/timeDeposit/timeDeposit.vue'),
                            meta: { title: '整存整取' }
                        },
                        {
                            name: `${pre}usefulPhrases`,
                            path: `usefulPhrases`,
                            component: () => import('@/pages/manage/list/personal/usefulPhrases/usefulPhrases.vue'),
                            meta: { title: '零存整取' },
                        },
                        {
                            name: `${pre}callDeposits`,
                            path: `callDeposits`,
                            component: () => import('@/pages/manage/list/personal/callDeposits/callDeposits.vue'),
                            meta: { title: '通知存款' },
                        },
                        {
                            name: `${pre}accountService`,
                            path: `accountService`,
                            component: () => import('@/pages/manage/list/personal/accountService/accountService.vue'),
                            meta: { title: '账户服务' },
                        },
                        // 公司业务
                        {
                            name: `${pre}accountService`,
                            path: `business-openAccount`,
                            component: () => import('@/pages/manage/list/business/openAccount.vue'),
                            meta: { title: '公司业务开户' },
                        },
                        {
                            name: `${pre}accountService`,
                            path: `business-deposit`,
                            component: () => import('@/pages/manage/list/business/deposit.vue'),
                            meta: { title: '公司业务存款' },
                        },
                        {
                            name: `${pre}accountService`,
                            path: `business-withdrawal`,
                            component: () => import('@/pages/manage/list/business/withdrawal.vue'),
                            meta: { title: '公司业务取款' },
                        },
                        {
                            name: `${pre}accountService`,
                            path: `business-transfer`,
                            component: () => import('@/pages/manage/list/business/transfer.vue'),
                            meta: { title: '公司业务转账' },
                        },

                        // 账户服务
                        {
                            name: `${pre}servicesPasswordChange`,
                            path: `servicesAccount-passwordChange`,
                            component: () => import('@/pages/manage/list/servicesAccount/passwordChange.vue'),
                            meta: { title: '密码修改' },
                        },
                        {
                            name: `${pre}servicesPasswordLost`,
                            path: `servicesAccount-passwordLost`,
                            component: () => import('@/pages/manage/list/servicesAccount/passwordLost.vue'),
                            meta: { title: '密码挂失' },
                        },
                        {
                            name: `${pre}servicesRelieveLost`,
                            path: `servicesAccount-relieveLost`,
                            component: () => import('@/pages/manage/list/servicesAccount/relieveLost.vue'),
                            meta: { title: '挂失解挂' },
                        },

                        // 同城交互
                        {
                            name: `${pre}cityWideOut`,
                            path: `cityWide-out`,
                            component: () => import('@/pages/manage/list/cityWide/cityWideOut.vue'),
                            meta: { title: '同城提出' },
                        },
                        {
                            name: `${pre}cityWideIn`,
                            path: `cityWide-in`,
                            component: () => import('@/pages/manage/list/cityWide/cityWideIn.vue'),
                            meta: { title: '同城提入' },
                        },

                        // 银行承兑汇票
                        {
                            name: `${pre}acceptanceDraftInvoice`,
                            path: `acceptanceDraft-invoice`,
                            component: () => import('@/pages/manage/list/acceptanceDraft/invoice.vue'),
                            meta: { title: '商业承兑汇票开票' },
                        },

                        // 重空现金
                        {
                            name: `${pre}importantCash`,
                            path: `importantCash-cashRecipients`,
                            component: () => import('@/pages/manage/list/ImportantCash/controlCash/index.vue'),
                            meta: { title: '重空现金管理' },
                        },
                        {
                            name: `${pre}importantCash2`,
                            path: `importantCash-cashRecipients2`,
                            component: () => import('@/pages/manage/list/ImportantCash/controlCash2/index.vue'),
                            meta: { title: '重空现金凭证管理' },
                        },
                        {
                            name: `${pre}importantCash3`,
                            path: `importantCash-cashRecipients3`,
                            component: () => import('@/pages/manage/list/ImportantCash/controlCash3/index.vue'),
                            meta: { title: '重空现金支票管理' },
                        },
                        // 日终管理
                        {
                            name: `${pre}dayEnd`,
                            path: `dayEnd-tellerCash`,
                            component: () => import('@/pages/manage/list/dayEnd/tellerCash.vue'),
                            meta: { title: '日终管理柜员现金扎帐' },
                        },
                        {
                            name: `${pre}dayEnd`,
                            path: `dayEnd-tellerCertificate`,
                            component: () => import('@/pages/manage/list/dayEnd/tellerCertificate.vue'),
                            meta: { title: '日终管理柜员凭证扎帐' },
                        },
                        {
                            name: `${pre}dayEnd`,
                            path: `dayEnd-branchDayEnd`,
                            component: () => import('@/pages/manage/list/dayEnd/branchDayEnd.vue'),
                            meta: { title: '日终管理网点日终扎帐' },
                        },

                    ]
                }
            ]
        },
    ]
};
