const Setting = require('./src/setting.env')

// 引入等比适配插件
const px2rem = require('postcss-px2rem')
module.exports = {
  publicPath: './',
  //配置跨域请求
  devServer: {
    open: true, //是否自动打开浏览器
    https: false, //是否开启https
    hotOnly: false,
    proxy: { // 配置跨域
      '/api': {
        target: 'http://192.168.31.125:9000', //请求接口域名
        ws: true,
        secure: false,
        changOrigin: true, //是否允许跨越
        pathRewrite: {
          '^/api': ''
        }
      }
    },
    before: app => { }
  }
}
// 配置基本大小
const postcss = px2rem({
  // 基准大小 baseSize，需要和rem.js中相同
  remUnit: 16
})

// 使用等比适配插件
module.exports = {
  lintOnSave: true,
  css: {
    loaderOptions: {
      sass: {
        prependData: `@import "@/styles/var.scss";`
      },
    }
  },
  publicPath: Setting.publicPath,
  outputDir: Setting.outputDir,
  assetsDir: Setting.assetsDir,
  devServer: {
    port: 8093
  }
}